Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.jsf
Class PortletFacesContextImpl

    java.lang.Object
      javax.faces.context.FacesContext
          org.apache.portals.bridges.jsf.PortletFacesContextImpl

public class PortletFacesContextImpl
extends javax.faces.context.FacesContext

See MyFaces project for servlet implementation.

TODO There should be a base class shared with the MyFaces ServletFacesContextImpl.

Author:
  David Le Strat

Field Summary
`private javax.faces.application.Application` | `application` The application.
`private PortletExternalContextImpl` | `externalContext` The portlet external context.
`static String` | `JSF_VIEW_ID` The JSF_VIEW_ID used to maintain the state of the view action.
`private static org.apache.commons.logging.Log` | `log` The logger.
`private javax.faces.application.FacesMessage.Severity` | `maximumSeverity` The severity.
`private List` | `messageClientIds` The message client ids.
`private List` | `messages` The mesages.
`protected static Object` | `NULL_DUMMY`
`private javax.faces.render.RenderKitFactory` | `renderKitFactory` The render kit factory.
`private boolean` | `renderResponse` The render response.
`private boolean` | `responseComplete` Whether the response is complete.
`private javax.faces.context.ResponseStream` | `responseStream` The response stream.
`private javax.faces.context.ResponseWriter` | `responseWriter` The response writer.
`private javax.faces.component.UIViewRoot` | `viewRoot` The view root.

Fields inherited from class javax.faces.context.FacesContext
``

Constructor Summary
`PortletFacesContextImpl(javax.portlet.PortletContext portletContext, javax.portlet.PortletRequest portletRequest, javax.portlet.PortletResponse portletResponse)`

Method Summary
`void` | `addMessage(String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`Iterator` | `getMessages()`
`Iterator` | `getMessages(String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`javax.faces.component.UIViewRoot` | `resolveViewRoot(String defaultViewName, javax.portlet.PortletRequest portletRequest)`
`void` | `responseComplete()`
`void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot viewRoot)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, setCurrentInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

  The logger.

### NULL_DUMMY

    protected static final Object NULL_DUMMY

### messageClientIds

    private List messageClientIds

  The message client ids.

### messages

    private List messages

  The mesages.

### application

    private javax.faces.application.Application application

  The application.

### externalContext

    private PortletExternalContextImpl externalContext

  The portlet external context.

### responseStream

    private javax.faces.context.ResponseStream responseStream

  The response stream.

### responseWriter

    private javax.faces.context.ResponseWriter responseWriter

  The response writer.

### maximumSeverity

    private javax.faces.application.FacesMessage.Severity maximumSeverity

  The severity.

### viewRoot

    private javax.faces.component.UIViewRoot viewRoot

  The view root.

### renderResponse

    private boolean renderResponse

  The render response.

### responseComplete

    private boolean responseComplete

  Whether the response is complete.

### renderKitFactory

    private javax.faces.render.RenderKitFactory renderKitFactory

  The render kit factory.

### JSF_VIEW_ID

    public static final String JSF_VIEW_ID

  The JSF_VIEW_ID used to maintain the state of the view action.

  See Also:
    Constant Field Values

Constructor Detail

### PortletFacesContextImpl

    public PortletFacesContextImpl(javax.portlet.PortletContext portletContext,
                                   javax.portlet.PortletRequest portletRequest,
                                   javax.portlet.PortletResponse portletResponse)

Parameters:
  `portletContext` - The `PortletContext`.
  `portletRequest` - The `PortletRequest`.
  `portletResponse` - The `PortletResponse`.

Method Detail

### resolveViewRoot

    public javax.faces.component.UIViewRoot resolveViewRoot(String defaultViewName,
                                                            javax.portlet.PortletRequest portletRequest)

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

  See Also:
    `FacesContext.getExternalContext()`

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

  See Also:
    `FacesContext.getMaximumSeverity()`

### getMessages

    public Iterator getMessages()

  See Also:
    `FacesContext.getMessages()`

### getApplication

    public javax.faces.application.Application getApplication()

  See Also:
    `FacesContext.getApplication()`

### getClientIdsWithMessages

    public Iterator getClientIdsWithMessages()

  See Also:
    `FacesContext.getClientIdsWithMessages()`

### getMessages

    public Iterator getMessages(String clientId)

  See Also:
    `FacesContext.getMessages(java.lang.String)`

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

  See Also:
    `FacesContext.getRenderKit()`

### getRenderResponse

    public boolean getRenderResponse()

  See Also:
    `FacesContext.getRenderResponse()`

### getResponseComplete

    public boolean getResponseComplete()

  See Also:
    `FacesContext.getResponseComplete()`

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responseStream)

  See Also:
    `FacesContext.setResponseStream(javax.faces.context.ResponseStream)`

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

  See Also:
    `FacesContext.getResponseStream()`

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

  See Also:
    `FacesContext.setResponseWriter(javax.faces.context.ResponseWriter)`

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

  See Also:
    `FacesContext.getResponseWriter()`

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot viewRoot)

  See Also:
    `FacesContext.setViewRoot(javax.faces.component.UIViewRoot)`

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

  See Also:
    `FacesContext.getViewRoot()`

### addMessage

    public void addMessage(String clientId,
                           javax.faces.application.FacesMessage message)

  See Also:
    `FacesContext.addMessage(java.lang.String, javax.faces.application.FacesMessage)`

### release

    public void release()

  See Also:
    `FacesContext.release()`

### renderResponse

    public void renderResponse()

  See Also:
    `FacesContext.renderResponse()`

### responseComplete

    public void responseComplete()

  See Also:
    `FacesContext.responseComplete()`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.